/* ------------------------------------------------------------------------------ */
/* ------------------------------------------------------------ 6.0/00 - 19-10-2022
/* colors   -> #EE741D | rgba(238,116,29) | hsla(25,86%,53%) */
/* ------------------------------------------------------------------------------ */
/* link     -> https://codepen.io/Kseso/pen/ZYQBrK */
/* info     -> border2ani */
/* ------------------------------------------------------------------------------ */
/* ROOT and VARIBLES */
:root {
	--hover-bgr:hsla(210,100%,56%,1);
    
    /* cards */
    --card-front-col: rgba(0,0,0,.6); /* black, gray OR client-color */
    --card-front-bgr: #fff;
    --card-back-col: #fff;
    --card-back-bgr: #EE741D;
    --card-ibox-hgt: 14rem;         /* min-height of the card - depends of the text card-back - def 14rem */
    --card-body-bdr: 1px solid rgba(0,0,0,.05);     /* border - def 1px */
    /* grid-area */
    --grid-area-gap: 1rem;          /* gap between flipboxes - def 1rem | min .3rem - check used shadow */
    --grid-area-pad: 1rem;          /* padding - check card-border-radius - def 1rem | min .3rem */
    --grid-area-bgr: none;          /* background - def none */
    --grid-area-bdr: 0px solid rgba(0,0,0,.25);     /* border - def 0px  */
    --grid-area-rad: 0rem;          /* border-radius - def 0rem */
    /* counter - card-front */ 
    --count-color: rgb(255,255,255,1);  /* color of the counter - must be the same as card-back-background AND no transparent */
    --count-size: 2.2rem;                 /* counter size - def 4rem */
    --count-pos-top:1.4rem;                  /* counter position top - def 1rem */
    /*--count-pos-right:1rem;             /* counter position right - def 1.2rem */
    --count-pos-left:1rem;       /* counter position left - NOT IN USE */
    /*--count-pos-bottom: -70%;     /* counter position bottom - NOT IN USE */ 
    --count-width: 1px;             /* counter stroke - def 1px | max 3px */
    /* animation */
    --time-flip: 0.8s;              /* def 0.8s */
	}

/* ------------------------------------------------------------------------------ */
/* ------------------------------------------------------------ 6.0/00 - 19-10-22 */
/* RESET COUNTER -> SEE design.css */
/* BORDER2ANI */

:root {
--bdr-col:hsla(210,100%,56%,1);
}

html {
  background: #ccc;
  color: var(--bdr-col);
}
.box {
  position: relative;  
  width: 50vw;
  height: 10vw;
  margin: 2rem auto;
  padding: 2rem;
  line-height: 1.2; 
  font-size: 1.2rem;
  color: #fff;
  z-index: 1;
}
.box::before, .box::after {
  content: '';
  position: absolute;
  opacity: 0;
}
.box::before {
  top: 0;
  left:0;
  border-top: 2px solid var(--bdr-col);
  border-right: 2px solid var(--bdr-col);
  animation: 2s antes linear forwards;
}
.box::after {
  bottom: 0px;
  right:0;
  border-bottom: 2px solid var(--bdr-col);
  border-left: 2px solid var(--bdr-col);
  animation: 2s despues linear forwards 2s;
}
.box:hover::before, .box:hover::after {
  animation: 0 none;
}

@keyframes antes {
  0% {
    opacity: 1;
    top: -2px;
    left: 0;
    width:0;
    width: 0;
  }
  80% {
    top: -2px;
    left: 0;
    width: 100%;
    height: 0;
  }
  100% {
    top: -2px;
    left: 0;
    width: 100%;
    height: 100%;
    opacity: 1;
  }
}
@keyframes despues {
  0% {
    opacity: 1;
    bottom: 0;
    right: 0;
    height: 0;
    width: 0;
  }
  80% {
    bottom: 0;
    right: 0;
    width: 100%;
    height: 0;
  }
  100% {
    bottom: 0;
    right: 0;
    width: 100%;
    height: 100%;
    opacity: 1;
  }
}

/* ------------------------------------------------------------------------------ */
/* ------------------------------------------------------------ 6.0/00 - 21-08-22 */
/* css-counter postion background */
/* https://stackoverflow.com/questions/43514987/css-increasing-number-as-background-images-for-css */	
.box-counter::before { 
	position:absolute;
  display:flex;
	top:var(--count-pos-top,1.2rem);
  /*right:var(--count-pos-right);*/
  /*bottom:var(--count-pos-bottom);*/
  left:var(--count-pos-left);
	justify-content:center;
  align-items:center;
  counter-increment:Element 1;
	content:counter(Element) '';
	font-size:var(--count-size); 
	font: 800 Arial;
	  -webkit-text-fill-color:transparent; /* works FF, Chrome and Edge */
	  -webkit-text-stroke:var(--count-width,1px);
	  -webkit-font-smoothing:antialiased;
	color:var(--count-color); /* must be the same color als card-back background */
    opacity:1;
	/*z-index:999;*/
	}
/* shadow */
/*
.shadow, .flex-item {
  box-shadow: 0 -1px 1px rgba(0, 0, 0, 0.04), 0 2px 2px rgba(0, 0, 0, 0.04), 0 4px 4px rgba(0, 0, 0, 0.04), 0 8px 8px rgba(0, 0, 0, 0.04), 0 16px 16px rgba(0, 0, 0, 0.04);
}
*/	
/* ------------------------------------------------------------------------------ */
/* END */	
/* ------------------------------------------------------------------------------ */